Download Reports
GET
/api/proof/downloadData
Try Me!
GET /api/proof/downloadData
Query Parameters
Response Schema
| Field | Type | Description |
|---|
Summary
Downloads the file corresponding to the given company, file name and type. Must be used in conjunction with the Fetch Reports endpoint.
Description
The Download Reports API downloads the requested report (if it exists) to your browser.
Endpoint
GET /api/proof/downloadDataRequest
This endpoint accepts three parameters: company_slug, file_name, and file_type
Parameters
| Parameters | Required | Type | Description |
|---|---|---|---|
company_slug | mandatory | string | The slug of the company you wish to search for |
file_name | mandatory | string | Name of the report |
file_type | mandatory | string | File type, in lowercase |
Headers
This endpoint accepts a singular optional header.
| Header | Required | Description |
|---|---|---|
Accept | optional | Defaults to application/json, but needs to be application/pdf for the PDF to not get stuck in DOM rendering |
Response Schema
Success - 200 OK
FileObjectEmpty Response
If the requested file is not available, no download happens.
Error Codes & Response Types
404 Not Found
Returned when the requested file does not exist on the server.
500 Internal Server Error
Returned when an unexpected server-side error occurs.
Response Body
{
"detail" : "Internal server error"
}Typical Causes
- Unhandled runtime exception
- Application-level failure.
Last updated on